package com.common.entity;

import java.util.HashMap;
import java.util.Map;

public class  RFC5424Message extends SyslogMessage {
    private int version;
    private Map<String, Map<String, String>> structuredData;

    public RFC5424Message() {
        this.structuredData = new HashMap<>();
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public Map<String, Map<String, String>> getStructuredData() {
        return structuredData;
    }

    public void setStructuredData(Map<String, Map<String, String>> structuredData) {
        this.structuredData = structuredData;
    }
}
